/*
******************************************************************

CSS for mobile/responsive navigation

(c) sinntun.codes
******************************************************************
*/


.mobile-div {
    position: fixed;
    height: 0;
    width: 100vw;
    overflow: hidden;
    z-index: 2000;
    -webkit-transition: ease-in-out .6s;
    -o-transition: ease-in-out .6s;
    transition: ease-in-out .6s;
}

.mobile-menu {
    height: auto;
    width: auto;
    text-align: center;
    display: block;
}

.menu-line {
    line-height: 2.5rem;
    width: 100%;
    height: 0.25rem;
    border-radius: 0.1875rem;
    margin-bottom: 0.375rem;
    -webkit-transition: ease .3s;
    -o-transition: ease .3s;
    transition: ease .3s;
}


.close-page-canvas {
    left: 60% !important;
}


/*** menu-trigger
******************************************************************************* */

.menu-trigger {
    display: none;
    width: 2.1875rem;
    height: 1.875rem;
    cursor: pointer;
    transition: ease-in .3s;
    position: absolute;
    right: 2.5rem;
    z-index: 2100;
    background: none;
    border: none;
}

.menu-trigger:focus-visible {
    outline: var(--outline-default);
    outline-offset: var(--outline-offset-default);
}

.menu-trigger.menu-line-box {
    padding: 1.625rem 0.9375rem;
    width: 1.875rem;
    height: 0.5rem;
    transition: ease .3s;
}

.menu-trigger .menu-line {
    transition: ease-in .2s;
    width: 100%;
    height: 0.25rem;
    border-radius: 0.9375rem;
    margin: 0 auto 0.5625rem;
    display: block;
}

.menu-trigger .menu-line:last-child {
    margin-bottom: 0;
}

.menu-trigger:hover .menu-line:nth-child(2) {
    width: 80%;

}

.menu-trigger .main-content {
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transition: ease-in-out .4s;
}

.menu-trigger.open .menu-line:nth-child(1) {
    transform: rotate(45deg);
    position: relative;
    top: 0.4rem;
}

.menu-trigger.open .menu-line:nth-child(2) {
    display: none;
}

.menu-trigger.open .menu-line:nth-child(3) {
    transform: rotate(-45deg);
    top: -0.4rem;
    position: relative;
}

.subnav-nav-trigger::before {
    font-family: 'Font Awesome 6 Pro', sans-serif;
    font-weight: 900;
    content: '\f078';
    color: #000;
}

.nav2-mobile-item .subnav-nav-trigger::before {
    color: #000;
}

.subnav-nav-trigger {
    height: 2rem;
    cursor: pointer;
    float: right;
    font-size: 1.5rem;
    text-align: center;
    overflow: hidden;
    padding: 0.3125rem;
    transition: ease-in-out 0.3s;
    position: absolute;
    right: 2.1875rem;
    top: 0.1875rem;
    transform: rotate(-90deg);
}

.subnav-nav-trigger.opened {
    transform: rotate(0deg);
}

.nav1-additional {
    padding: 0.75rem 2.5rem;
    box-sizing: border-box;
    position: relative;
    background: #E4E4E4;
    color: #000 !important;
    font-weight: 900;
    font-size: 1.125rem;
}

.nav1-additional-link::before {
    font-family: 'Font Awesome 6 Pro';
    font-size: 1.125rem;
    margin-right: 1.5625rem;
}

.nav1-additional-link.search::before {
    content: '\f002';
}

.nav1-additional-link.contact::before {
    content: '\f098';
}

.nav1-additional-link.start::before {
    content: '\f015';
}


.nav1-mobile-div {
    overflow: hidden;
    display: none;
}

.nav1-mobile {
    width: auto;
    text-align: left;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    height: auto;
    overflow: hidden;
    padding: 1.25rem;
}

.nav1-mobile li {
    width: 100%;
}

.nav1-mobile-div.menu-2 .nav1-mobile,
.nav1-mobile-div.menu-2 .nav2-mobile {
    height: auto;
    /*position: relative;*/
    /*   top: 50%;
       left: 6.25rem;*/
    /*transform: translate(-50%, 0%);*/
    border: none;
    display: flex;
    flex-flow: column;
    gap: 0.3125rem;
}

.nav1-mobile-div.menu-2 .nav1-mobile-item {
    border: none;

}

.nav1-mobile-item.opened .background {
    background: #ff8c00;
}

.nav1-mobile-div.menu-2 .nav1-link-mobile {

}

.nav1-mobile-div.menu-2 .nav1-link:hover {

}


.nav1-mobile-div.menu-1 {
    position: fixed;
    width: 100vw;
    height: calc(100vh - 5rem);
    top: 5.625rem;
    right: -100vw;
    transition: ease-in-out .4s;
}

.nav1-mobile-div.menu-2 {
    position: fixed;
    width: 100vw;
    height: calc(-28.625rem + 100vh);
    right: 0;
    transition: ease-in-out .4s;
    z-index: 999;
    overflow: auto;
    padding-bottom: 0;
}

.nav1-mobile-div.menu-3 {
    position: fixed;
    width: 60vw;
    height: 100vh;
    top: 0;
    right: -60vw;
    transition: ease-in-out .4s;
}

.nav2-mobile {
    background: #777;
    margin-left: -5rem;
    margin-right: -5rem;
    padding: 0.3125rem 2.5rem 0rem 2.5rem;
    font-size: 1.125rem;
    transform: translateY(0.75rem);
}

.nav3-mobile {
    background: #777;
    margin-left: -5rem;
    margin-right: -5rem;
    padding: 0rem 2.5rem;
    font-size: 1.125rem;
    transform: translateY(0.75rem);
}

/*****************************************************************
*********** Lang-Selector
******************************************************************/

.lang-selector-mobile {
    display: none;
}
